> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nexra.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tournament



## OpenAPI

````yaml PATCH /tournament/{tournamentId}/update
openapi: 3.0.0
info:
  title: Nexrahub Core API Documentation
  description: API documentation for Nexrahub Core services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.nexra.xyz/
    description: Local environment
security: []
tags: []
paths:
  /tournament/{tournamentId}/update:
    patch:
      tags:
        - Tournaments
      summary: Update a pending tournament (if not started)
      operationId: TournamentController_update
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abc123xyz456
          description: Game API key for authentication
        - name: tournamentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTournamentDto'
      responses:
        '200':
          description: Tournament updated successfully
          content:
            application/json:
              example:
                schema:
                  message: Tournament updated successfully
                  tournament:
                    _id: 68fa2b750366dd5ff66d599d
                    game:
                      _id: 68f9ce6d27a07cdb23dd65c7
                      name: Battle Arenaa
                      id: 68f9ce6d27a07cdb23dd65c7
                    name: Battle of Nexra
                    description: An intense tournament for top gamers
                    entryFee: 50
                    prizePool: 0
                    status: pending
                    startTime: '2025-11-10T18:00:00.000Z'
                    endTime: '2025-11-10T21:00:00.000Z'
                    winner: null
                    createdAt: '2025-10-23T13:19:49.620Z'
                    updatedAt: '2025-10-23T13:19:49.620Z'
                    id: 68fa2b750366dd5ff66d599d
      security:
        - jwt-auth: []
components:
  schemas:
    UpdateTournamentDto:
      type: object
      properties:
        name:
          type: string
          example: Battle of Nexra
          description: Tournament name
        description:
          type: string
          example: An intense tournament for top gamers
          description: Tournament description
        entryFee:
          type: number
          example: 50
          description: Gamers entry fee for the tournament
        startTime:
          format: date-time
          type: string
          example: '2025-11-10T18:00:00Z'
          description: Tournament start time
        endTime:
          format: date-time
          type: string
          example: '2025-11-10T21:00:00Z'
          description: Tournament end time

````